/* Cambios generales */
* {
    margin: 0px auto;
    padding: 0px;
}


#body {
    width: 100%;
    height: 100%;
    background-color: black;
}
/* Estilo del titulo de cada seccion */
.title-all {
    color: white;
    font-size: 40px;
    text-align: center;
}
/* Estilo de la linea del titulo  */
.linea-title-all {
    color: white;
    height: 20px;
    background: red;
    color: red;
    position: absolute;
    z-index: -1;
    width: 30%;
    margin-top:-2%;
    margin-left: 35%;
}

.github-logo-card:hover i{
    color: black;
}
.youtube-logo:hover i{
    color: red;
}

/* Inicio del header */
#header-inicio {
    width: 100%;
    height: 640px;
    display: grid;
    grid-template-columns: 35% 65%;
}
/* estilos de los logos */
#header-inicio #content-logo {
    width: 100%;
    height: 640px;
    overflow: hidden;
    background-image: url("../img/content-logo2.webp");
    background-size: cover;

}

#content-logo a #logo-header {
    width: 20%;
    height: auto;
    align-items: center;
    margin-top: 1%;
    position: absolute;
    margin-left: 7%;
}

#logos-contacto {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    width: 70px;
    height: 140px;
    margin-top: 100%;
    margin-left: 5%;
}

#content-logo a #github-logo {
    font-size: 50px;
    color: white;
    text-align: center;
    position: relative;
}

#content-logo a #github-logo:hover {
    color: red;

}

#content-logo a #linkedin-logo {
    font-size: 50px;
    color: white;
    text-align: center;
}

#content-logo a #linkedin-logo:hover {
    color: blue;

}
 /* Estilos del menu */
#header-inicio #content-nav {
    width: 100%;
    height: 640px;
    background: linear-gradient(0deg,#000, #a2a2a2 50%, #fff);
    background-size: cover;
    overflow: hidden;
}

#content-nav #foto-header{
    width: 60%;
    height: 90%;
    margin-top: 5%;
    position: absolute;
}
#box-menu-desplegable{
    display: none;
}
#box-menu-desplegable #btn-menu i{
    font-size: 50px;
    color: red;
}

#content-nav #menu-navegacion {
    width: 90%;
    height: 200px;
    position: relative;
    margin-top: 7%;
    background: none;
    box-shadow: none;
}


#menu-navegacion #ul-menu {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    list-style: none;
}

#menu-navegacion #ul-menu li {
    width: 80%;
    height: 100%;
}

#menu-navegacion #ul-menu li a {
    text-decoration: none;
    text-align: center;
    font-family: 'Kanit', sans-serif;
    font-size: 23px;
    color: black;
}

#menu-navegacion #ul-menu li a:hover {
    transition: all 300ms;
    color: red;
    font-size: 25px;
    background: none;
}
/* Estilos del texto de presentacion */
#text-presentation {
    width: 210%;
    height: 220px;
    position: relative;
    margin-top: -51.6%;
    margin-left: 52.1%;
}

.saludo-header {
    font-size: 25px;
    color: white;
    margin-bottom: -5%;
    font-family: 'Roboto', sans-serif;
}

#mi-name {
    margin-left: 15px;
}

.profesion-title {
    margin-top: -3%;
}

.profesion-header {
    font-size: 25px;
    color: white;
    width: 25%;
    text-align: center;
    font-family: 'Roboto', sans-serif;
    margin-left: 0%;
}

.nombre-header {
    font-size: 65px;
    color: yellow;
    margin-bottom: -25%;
    font-family: 'Roboto', sans-serif;
}
/* Fin del header */

/* Inicio de la seccion de noticias */

#content-sections {
    width: 100%;
    height: auto;
}
/* Estilos de la seccion sobre mi */
#content-sections #sobre-mi {
    width: 100%;
    height: 600px;
    overflow: hidden;
    margin-top: 10%;
}

#sobre-mi img {
    position: absolute;
    width: 100%;
    height: 600px;
}

#content-sobre-mi {
    width: 100%;
    height: 600px;
    display: grid;
    grid-template-columns: 40% 60%;
    position: relative;
    background-color: rgba(0, 0, 0, 0.6);
}

#content-sobre-mi #fotografia-dev {
    width: 100%;
    height: 600px;
    overflow: hidden;
}

#fotografia-dev #marco-foto {
    width: 30%;
    height: 550px;
    margin-top: 2%;
    margin-left: 5%;
    position: absolute;
}

#fotografia-dev #content-photo {
    width: 71%;
    height: 529px;
    position: relative;
    overflow: hidden;
    margin-top: 7%;
}

#content-photo img {
    width: 100%;
    height: 100%;
}

#content-sobre-mi #texto-sobre-mi {
    width: 49%;
    height: 400px;
    margin-top: 3%;
}

#texto-sobre-mi p {
    color: white;
    font-size: 25px;
    text-align: initial;
    margin-top: 10%;
    margin-right: 10%;
    margin-bottom: 10%;
}

#texto-sobre-mi #btn-contacto {
    color: black;
    background-color: white;
    font-size: 25px;
    font-family: 'Roboto',sans-serif;
    padding: 3%;
    border-radius: 10px 10px 10px 10px;
    margin-left: 24%;
    cursor: pointer;
    text-decoration: none;
}

#texto-sobre-mi #btn-contacto:hover {
    color: white;
    background-color: black;
    border: 1px solid white;
}

/* Estilos de la seccion de proyectos */
#proyectos {
    width: 100%;
    height: auto;
    margin-top: 5%;
}

/* Inicio de cards */

#all-cards{
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    background: none;
}

.card-project{
    position: relative;
    width: 300px;
    height: 350px;
    margin: 20px;
    background: none;
}
.card-project .face{
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 10px;
    overflow: hidden;
    transition: 0.5s;
}

.card-project .front{
    transform: perspective(600px) rotateY(0deg);
    box-shadow: 0 5px 10px #000;
}

.card-project .front img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;

}

.card-project .front h3{
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 45px;
    line-height: 45px;
    color: #fff;
    background: rgba(0,0,0,0.6);
    text-align: center;
}

.card-project .back{
    transform: perspective(600px) rotateY(180deg);
    background: rgb(3,35,54);
    padding: 15px;
    color: #f3f3f3;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-shadow: 0px 5px 10px #000;
}
.card-project .back .link{
    border-top: solid 1px #f3f3f3;
    height: 50px;
    width: 150px;
    line-height: 50px;
    display: grid;
    grid-template-columns: repeat(2,1fr);

}
.card-project .back .link a{
    color: #f3f3f3;
    margin-left: 12px;
    font-size: 40px;
    text-decoration: none;
}

.card-project .back h3{
    font-size: 30px;
    margin-top: 20px;
    letter-spacing: 2px;
    text-align: center;
    font-family: 'Roboto',sans-serif;
}
.card-project .back p{
    letter-spacing: 1px;

}

.card-project:hover .front{
    transform: perspective(600px) rotateY(180deg);
}
.card-project:hover .back{
    transform: perspective(600px) rotateY(360deg);
}

/* Estilos de la seccion de habilidades */

#habilidades {
    width: 99%;
    height: 500px;
    margin-top: 5%;

}

.carousel{
    min-height: 400px;
}

.carousel .carousel-item{
    width: 200px;
    height: 250px;

}

.carousel-item a img{
    width: 100%;
    height: 100%;
}
/* Estas calses de indicators no estan definidas como tal
sino que son parte de Materialize */
.carousel .indicators .indicator-item{
    border-radius: 0;
    transform: rotate(45deg);
    margin: 0 15px;
    background: white;
}

/* Estilos de la seccion de contacto */
#cotacto{
    width: 100%;
    height: 700px;
    margin-top: 5%;
}

#formulario{
    width: 35%;
    background: linear-gradient(to right, #0800f898,#f6000062);
    height: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    margin-top: 5%;
}

.form .grupo{
    position: relative;
    margin: 20px;
}

.input-form,#mensaje{
    background: none;
    color: #000000;
    font-size: 20px;
    padding: 5px 5px 5px 5px;
    display: block;
    width: 100%;
    border: none;
    border-bottom: 1px solid white;
}

.input-form:focus,#mensaje:focus{
    outline:none;
    color: black;
}

.label-form{
    color: white;
    font-size: 17px;
    position: absolute;
    left: 10px;
    top: 10px;
    transition: 0.5s ease-in-out all;
    pointer-events: none;
}

.input-form:focus~.label-form,
.input-form:valid~.label-form,
#mensaje:focus~.label-form,
#mensaje:valid~.label-form{
    top: -14px;
    font-size: 15px;
    color: rgb(255, 0, 0);
}
.barra{
    position: relative;
    display: block;
    width: 100%;
}
.barra::before{
    content: "";
    height: 2px;
    width: 0%;
    bottom: 0;
    position: absolute;
    background: rgb(24, 224, 191);
    transition: 0.3s ease width;
    left: 0;
}
.input-form:focus~.barra::before{
    width: 100%;
}

#btn-form{
    font-family: 'Roboto', sans-serif;
    background: linear-gradient(to right,#f6000062, #0800f898);
    border: none;
    border-radius: 5px;
    display: block;
    width: 70%;
    margin: 10px auto;
    color: white;
    height: 40px;
    font-size: 15px;
    cursor: pointer;
}

#mensaje-box{
    opacity: 0;
    width: 70%;
    height: 100px;
    margin-top: 1%;
}

.info-form{
    font-size: 17px;
    text-align: center;

}

.success{
    color: green;
}

.failed{
    color: red;
}

/* Fin de la seccion de noticias */

/* Inicio del footer */
#footer{
    width: 100%;
    height: 300px;
    display: grid;
    grid-template-rows: 200px 100px;
    background: url("../img/fondo-footer.webp");
    background-size: cover;
}

/* Estilos de los logos */
#footer #logos-footer{
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: rgb(0,0,0,0.3);
}

#logos-footer #content-logo-footer{
    width: 70%;
    height: 100%;
    overflow: hidden;
}
#content-logo-footer a img{
    width: 60%;
    height: auto;
}

#logos-footer #content-contact{
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: repeat(2,1fr);
    margin-top: 4%;
padding-left: 77%;
}
#github-logo-footer:hover{
    color: red;
}
#linkedin-logo-footer:hover{
    color: blue;
}
#content-contact a i{
    color: white;
    font-size: 60px;

}
/* Estilos del parrafo*/
#footer #parrafo-footer{
    width: 100%;
    height: 100%;
    background-color: rgb(0,0,0,0.3);
}

#parrafo-footer p{
    font-family: 'Oswald', sans-serif;
    font-size: 20px;
    color: white;
    text-align: center;
    line-height: 100px;
}
.enlace-inicio{
    text-decoration: none;
}

#parrafo-footer p .enlace-inicio:hover{
    color: black;
    font-size: 21px;
    cursor: pointer;
}
#parrafo-footer p a{
    text-decoration: none;
    color: white;
}
#parrafo-footer p a:hover{
    color: blue;
    font-size: 21px;
    cursor: pointer;
}
/* Fin el footer */



